Append Row(s)

Append multiple rows to a table. Define the column:values pairs of each column in the rows object.

🚧

Column names only

This endpoint always expects column names (e.g. Name) in the row object, not internal column keys (e.g. 0000). The convert_keys parameter is not supported. Unknown keys are silently ignored without error.

Path Params
string
required

The unique identifier of a base. Sometimes also called dtable_uuid.

Body Params
string
required

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.

rows
array of objects
required

Defines the rows which should be added.

Row Object X*
boolean

Use the column default values to populate new rows during creation. False by default.

Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json